# Get property commission (B.XML)

getCommissionOverride API it used to retrive the commission for a property today. It will return the contracted commission and if applicable any commission override (AKA Visibility booster).

## HTTP request


```http
POST https://supply-xml.booking.com/hotels/xml/getcommissionoverride
```

## Request body


```xml
<request>
  <username>machineaccount-username</username>
  <password>machineaccount-password</password>
  <hotel_id>xxXXxxXXxx</hotel_id>
  <number_of_days>3</number_of_days>
  <start_date>2017-03-01</start_date>
</request>
```

* The request body consists of a mandatory **request** root element.  This is the parent node to the **username** and **password** nodes.
* The mandatory child node **username** contains the authorized machine account login of the Connectivity Partner.
* The mandatory child node **password** contains the authorized machine account password of the Connectivity Partner.
* The mandatory child node **hotel_id** contains the Booking.com hotel_id for the property you want to retrive the commission.
* The mandatory child node **start_date** contains the first date for which you want the commission data.
* The mandatory child node **number_of_days** set the number of dats from **start_date** you want to retrieve the data.


## Response body


```xml
<result>
  <hotel id="1397028">
    <commission contracted="15"
                date="2017-03-01" />
    <commission contracted="15"
                date="2017-03-02" />
    <commission contracted="15"
                date="2017-03-03" />
  </hotel>
</result>
```